Bug 26913 - glibc upgrade to 2.2
Summary: glibc upgrade to 2.2
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Web Development
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-10 04:12 UTC by Need Real Name
Modified: 2016-11-24 15:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-20 19:48:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-02-10 04:12:13 UTC
I downloaded glibc-2.2-12.i686.rpm to update my glibc but the rpm -ivh
on that said:

[root@roundoff caa]# rpm -ivh glibc-2.2-12.i686.rpm 
error: failed dependencies:
        glibc-common = 2.2 is needed by glibc-2.2-12

I could only find a i386 version of the glibc-common on the refhat ftp site
at URL:

ftp://updates.redhat.com/7.0

and when I tried the glibc-common-2.2-12.i386.rpm I got the error:

[root@roundoff caa]# rpm -ivh glibc-common-2.2-12.i386.rpm 
error: failed dependencies:
        glibc < 2.2-12 conflicts with glibc-common-2.2-12

What should I do???

Comment 1 Jakub Jelinek 2001-03-21 13:03:04 UTC
On i686 you should install glibc-2.2*.i686.rpm glibc-common-2.2*.i386.rpm
at the same time. That's why it has been split into 2 subpackages, glibc-common
contains files which are common to all subarches (i386/i686, sparc/sparcv9,
alpha/alphaev6).
The errata page mentions that you have to run
rpm -Uvh glibc-2.2*.i686.rpm glibc-common-2.2*.i386.rpm
rpm -Fvh glibc-devel-2.2*.i386.rpm glibc-profile-2.2*.i386.rpm nscd-2.2*.i386.rpm


Note You need to log in before you can comment on or make changes to this bug.